@mixin logo {
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 800;
    font-size: 28px;
    line-height: 33px;
    text-transform: uppercase; 
    color: $white;

    span {
        color: $blue;
    }

    @media (max-width: 1024px) {
        font-size: 21px;
    }
}

@mixin navLink {
    font-size: 13px;
    line-height: 16px;
    color: $white;
    text-transform: uppercase; 
    transition: 0.4s ease;

    &:hover {
        color: $hover;
    }
}

@mixin mainTitle {
    font-weight: 700;
    font-size: 48px;
    line-height: 58px;
    text-transform: uppercase;
    color: $black;
    max-width: 780px;

    span {
        display: inline-block;
        color: $blue;
    }

    @media (max-width: 1024px) {
        font-size: 36px;
        line-height: 42px;
    }

    @media (max-width: 576px) {
        font-size: 27px;
        line-height: 31px;
    }
}

@mixin sectionTitle {
    font-size: 36px;
    line-height: 43px;
    color: $white;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 30px;

    span {
        display: inline-block;
        color: $blue;
    }

    @media (max-width: 1024px) {
        font-size: 27px;
        line-height: 32px;
        margin-bottom: 22px;
    }

    @media (max-width: 576px) {
       
    }
}

@mixin infoText {
    text-align: center;
    font-size: 18px;
    line-height: 22px;
    color: $gray;
    margin-bottom: 80px;

    @media (max-width: 1024px) {
        font-size: 15px;
    }

    @media (max-width: 768px) {
        font-size: 15px;
        margin-bottom: 60px;
    }

}

@mixin listTitle {
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
    color: $black;
    margin-bottom: 10px;

    @media (max-width: 1024px) {
        font-size: 15px;
        line-height: 18px; 
        margin-bottom: 7.5px;

    }
}

@mixin infoItem {
    font-weight: 400;
    font-size: 20px;
    line-height: 24px;
    color: $black;
    padding-left: 10px;

    &::marker {
        content: '-';
    }

    @media (max-width: 1024px) {
        font-size: 15px;
        line-height: 18px;
        padding-left: 7.5px;
    }
}

@mixin mainButton {
    max-width: 183px;
    width: 100%;
    height: 43px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 4px;
    text-transform: uppercase;
    font-size: 13px;
    line-height: 16px;
    transition: 0.2s ease;

    &:hover {
        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
        transform: scale(1.03);
    }

    &:first-child {
        background-color: $blue;
        color: $white;
        border: 1px solid $white;

    }

    &:last-child {
        background-color: $white;
        color: black;
        border: 1px solid $black;
    }

    @media (max-width: 576px) {
        max-width: 100%;
    }

   
}

@mixin stagesText {
    font-size: 16px;
    line-height: 19px;
    color: $white;
    max-width: 188px;

    @media (max-width: 1045px) {
        max-width: 100%;
    }
}
@mixin filterItem {
    width: auto;
    height: 46px;
    background: rgba(255, 255, 255, 0.85);
    border: 1px solid $white;
    padding-right: 8px;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
    text-indent: 10px;
    font-size: 18px;
    line-height: 34px;
    color: $darkBlue;

    @media (max-width: 576px) {
        font-size: 16px;
    }
}

@mixin selectTrigger {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-right: 8px;
    position: relative;
    cursor: pointer;
    transition: 0.4s ease;

    span {
        display: flex;
    }

    .arrow {
        transition: 0.4s ease;

        svg {
            path {
                transition: 0.4s ease;
            }
        }
    }
}

@mixin selectOptions {
    position: absolute;
    visibility: hidden;
    opacity: 0;
    top: 46px;
    width: -webkit-fill-available;
    z-index: 1;
    background-color: $darkBlue;
    border: 1px solid $grayPurple;
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
    color: $white;
    transition: 0.2s ease;
    padding: 4px;

    .option {
        font-size: inherit;
        padding: 5px 15px;
        font-size: 18px;
        line-height: 34px;
        cursor: pointer;  

        @media (max-width: 576px) {
            font-size: 16px;
        }
    }
}

@mixin sliderRange {
    -webkit-appearance: none;
    width: 100%;
    height: 4px;
    background: rgba(255, 255, 255, 0.7);
    border: 1px solid $white;
    border-radius: 4px;

    &::-webkit-slider-thumb {
        appearance: none;
        width: 24px;
        height: 24px;
        border-radius: 100%;
        border: 3px solid $rangeBorder;
        background: $range;
        cursor: pointer;
    }
}

@mixin rangeWrapper {
    display: flex;
    justify-content: space-between;
    font-size: 18px;
    line-height: 22px;
    color: $white;
    margin-bottom: 10px;

    .value__wrapper {
        display: flex;
        gap: 5px;
    }

}

@mixin uploadInput {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -2;
}

@mixin uploadLabel {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 15px;
    line-height: 18px;
    text-transform: uppercase;
    cursor: pointer;
    transition: 0.2s ease;

    &:hover {
        background: $white;
        border: 1px solid $blue;
    }

    span {
        display: flex;
    }

    @media (max-width: 576px) {
        font-size: 14px;
    }
}

@mixin sendButton {
    display: block;
    margin: 0 auto;
    background: $blue;
    border: 1px solid $white;
    border-radius: 4px;
    text-transform: uppercase;
    font-size: 15px;
    line-height: 18px;
    color: $white;
    height: 48px;
    max-width: 370px;
    width: 100%;
    transition: 0.4s ease;

    &:hover {
        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
        transform: scale(1.03);
    }

    @media (max-width: 576px) {
        max-width: 100%;
    }
}

@mixin copyrightBlock {
    font-size: 12px;
    line-height: 16px;
    color: $white;
    text-align: center;

    @media (max-width: 1196px) {
        order: 4;
    }
}

@mixin paymentService {
    display: flex;
    align-items: center;
    gap: 10px;
    font-weight: 400;
    font-size: 13px;
    line-height: 16px;
    color: $payment;

    span {
        display: flex;
    }
}

@mixin feedbackLink {
    display: flex;
    align-items: center;
    gap: 10px;
    font-weight: 400;
    font-size: 13px;
    line-height: 16px;
    color: $payment;
    transition: 0.4s ease;

    svg {
        path {
            transition: 0.4s ease;
        }
    }

    span {
        display: flex;
    }

    &:hover {
        color: $white;

        svg {
            path {
                fill: $white;
            }
        }
    }
}
